Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.
The main server is currently down. We are running on a backup server, so editing and search functionality are temporarily disabled. Please check back in a few hours.

MediaWiki:Citizen.css: Difference between revisions

MediaWiki interface page
No edit summary
No edit summary
 
(802 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* All CSS here will be loaded for users of the Citizen skin */
/* All CSS here will be loaded for users of the Citizen skin */
/*Hide Color This*/
.citizen-sitenotice-container {
    background-color: var(--color-surface-0) !important;
}
.citizen-page-header {
    padding-inline: 11px !important;
}
/*Fonts*/
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap');
body,
html,
.citizen,
.citizen-content {
  font-family: 'Source Sans Pro', sans-serif;
}
/*Main Section*/
h1.home-header__title, p.home-header__subtitle {
    text-align: center;
    font-size: 2.00rem;
}
td#home-card-discord > a{
    color: #fff;
}
.citizen-body img {
    max-width: 100%;
    height: auto;
    margin-bottom: 3px;
}
/*    margin: 3px;*/


.not-available {
.not-available {
     filter: opacity(0.4);
     filter: opacity(0.4);
}
#siteSub {
display: none;
}
/* Menu */
.mw-portlet-External {
margin-top: var( --space-md );
    padding-top: var( --space-sm );
border-top: 1px solid var( --border-color-base );
font-size: 0.8125rem;
grid-column: 1 / -1;
white-space: nowrap;
}
.mw-portlet-External .citizen-menu__heading {
display: none;
}
.mw-portlet-External ul {
display: flex;
overflow: auto;
}
.mw-portlet-External .mw-list-item a {
gap: 0;
}
}


:root {
:root {
     --width-layout: 1800px;
     --width-layout: 1320px;
    --line-height: 1.6;
    --color-progressive-oklch__l: 57%;
    --color-progressive-oklch__c: 0.1679;
    --color-progressive-oklch__h: 230.29;
    --color-surface-0-oklch__l: 97%;
    --color-surface-0-oklch__c: 0.005;
    --color-emphasized-oklch__l: 36%;
    --color-base-oklch__l: 36%;
    --border-radius-base: 2px;
}
}
/*
    font-size: 14px;
    --border-radius--small: 2px;
    --border-radius--medium: 4px;
    --border-radius--large: 8px;
    --color-primary__h: 205;
    --color-primary__s: 60%;
    --color-primary__l: 50%;
    --color-base: hsl(var(--color-primary__h),30%,35%);
    --color-emphasized: hsl(var(--color-primary__h),85%,10%,80%);
*/


table#toc {
:root.citizen-feature-custom-width-clientpref-standard {
display:none;
    --width-layout: 1200px;
}
}


div.gallerytext {
 
     color: none !important;
/* Infobox section */
    font-size: inherit !important;
@media screen and (max-width: 720px) {
     font-style: normal !important;
table.infobox {
     display: inline-table !important;
     }
}
}


div.gallerytext > pre {
.citizen-body ul {
     margin-top: -20px !important;
     margin: 0.5rem 0 0.5rem 1.5rem;
    margin-bottom: 2px !important;
    font-size: 13px !important;
    font-family: inherit;
    color: gray;
    border: none;
    background: none;
}
}


/* Infobox section */
table.infobox {
table.infobox {
     margin-left: 1.4rem;
     margin-left: 1.4rem;
Line 36: Line 116:
     z-index: 3!important;
     z-index: 3!important;
     overflow: hidden;
     overflow: hidden;
     width: 300px;
     width: 320px;
    padding: 5px;
     max-width: 100%;
     max-width: 100%;
     margin-bottom: 1.6rem;
     margin-bottom: 1.6rem;
    border-spacing: 3px;
     padding-bottom: 20px!important;
     padding-bottom: 20px!important;
     background: var(--color-surface-2);
     box-shadow: 0 6px 6px 1px rgba(0, 0, 0, 0.04), 0 12px 14px 8px rgba(0, 0, 0, 0.0575);
    border-radius: var(--border-radius--medium);
     font-size: 0.825rem;
     border-spacing: 0;
     border-radius: var(--border-radius-large);
     box-shadow: var(--box-shadow-card);
    font-size: 0.875rem;
}
}
 
/*    padding: 5px;*/


th.infobox-title{
th.infobox-title{
Line 54: Line 132:
     margin-top: 20px;
     margin-top: 20px;
     margin-bottom: 5px;
     margin-bottom: 5px;
     color: var(--color-base--emphasized);
     color: var(--color-emphasized);
     font-size: 1.4rem;
     font-size: 1.4rem;
     line-height: 1.4;
     line-height: 1.4;
Line 61: Line 139:
th.infobox-header{
th.infobox-header{
width: 100%;
width: 100%;
    padding-top: 15px;
     border-top: 1px solid;
     border-top: 1px solid;
     border-color: var(--border-color-base);
     border-color: var(--border-color-base);
     margin-top: 15px;
     margin-top: 15px;
     color: var(--color-base--emphasized);
     color: var(--color-emphasized);
     font-size: 1rem;
     font-size: 1rem;
}
table.infobox>tbody {
    text-align: center;
}
th.infobox-label {
    width: 40%;
    text-align: left;
    padding: 0px 12px 0px 12px;
}
td.infobox-data {
    text-align: left;   
}
}


/* LinkBar CSS */
/* LinkBar CSS */
.hbmenu {
.hbmenu {
list-style: none;
    list-style: none;
text-align: center;
    text-align: center;
margin: auto !important;
    margin: auto !important;
}
}


.hbmenu > li {
.hbmenu > li {
     display: inline-flex;
     display: inline-flex;
    border: 1px solid #94c0d4;
     text-align: center;
     text-align: center;
     background: var(--color-primary);
     background: #338CCC;
     padding: 10px;
     padding: 5px 10px 5px 10px;
     font-weight: bold;
     margin-right: 0px;
     margin-right: -2px;
     margin-bottom: 5px;
     border-radius: 8px;
     border-radius: 0 4px 4px 0;
     box-shadow: 0 3px 6px rgb(0 0 0 / 4%), 0 3px 6px rgb(0 0 0 / 6%);
     box-shadow: none;
    font-weight: 300;
    border-radius: var(--border-radius-medium);
}
}
.hbmenu > li:hover {
    background: #338CCC;
    text-decoration: none;
}
       
.hbmenu > li > a {
.hbmenu > li > a {
color: #fff;
    color: aliceblue !important;
}
 
/*toc bar*/
table#toc2 {
    width: auto;
    margin-left: auto;
    color: transparent;
    background: hsl(214deg 45.83% 28.18% / 47%);
    border-radius: var(--border-radius-medium);
    text-align: center;
    margin-bottom: 5px;
    margin-top: 10px;
    padding: 0 5px 0 5px;
}
}


.hbmenu > li > a:hover {
table#toc2 a {
     color: var(--color-primary--hover);
     color: aliceblue;
    font-size: smaller;
    font-weight: 300;
}
}


Line 105: Line 217:
.home-grid {
.home-grid {
display: grid;
display: grid;
grid: auto-flow dense/repeat( auto-fit, minmax( 9.375rem, 1fr ) );
grid: auto-flow dense/repeat( auto-fit, minmax( 8rem, 1fr ) );
/*grid-auto-rows: minmax( 3rem, auto );*/
/*grid-auto-rows: minmax( 3rem, auto );*/
grid-gap: 0.625rem;
grid-gap: 0.513rem;
}
}


Line 120: Line 232:
.home-card {
.home-card {
position: relative;
position: relative;
padding: 15px;
padding: 3px;
background: var( --color-surface-1 );
    box-shadow: none;
border-radius: 8px;
box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
font-size: 0.875rem;
font-size: 0.875rem;
border-radius: 4px;
}
}
/*box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );*/


.home-card table.timeline {
.home-card table.timeline {
Line 148: Line 262:


.home-card__label {
.home-card__label {
color: var( --color-base--subtle );
color: var(--color-subtle);
font-size: 0.8125rem;
font-size: 0.8125rem;
letter-spacing: 0.75px;
letter-spacing: 0.75px;
    text-align: center;
    font-weight: 600;
}
}


Line 175: Line 291:
bottom: 0;
bottom: 0;
left: 0;
left: 0;
border-radius: 8px;
}
}
/* border-radius: 4px;*/


.home-card__background1 {
.home-card__background1 {
background: #b7eded;
background: rgb(159 157 213);
opacity: 0.91;
}
}


.home-card__background2 {
.home-card__background2 {
background: #dcf6f7;
background: rgb(155 202 225);
opacity: 0.91;
}
}


.home-card__background3 {
.home-card__background3 {
background: #62dadb;
background: rgb(235 189 195);
opacity: 0.91;
}
}


.home-card__background4 {
.home-card__background4 {
background: #f5f5f5;
background: rgb(153 201 152);
opacity: 0.91;
}
}


.home-card__background5 {
.home-card__background5 {
background: #90e4e4;
background: rgb(119 177 221);
opacity: 0.91;
}
}


.home-card__background6 {
.home-card__background6 {
background: #b6eeed;
background: rgb(98 157 161);
opacity: 0.91;
}
}


.home-card__background7 {
background: rgb(182 174 192);
opacity: 0.91;
}


.home-card__background img {
.home-card__background img {
width: 100%;
width: 100%;
height: 100%;
height: 100%;
object-fit: scale-down;
object-fit: contain;
object-position: center;
object-position: center;
transition: transform 0.2s ease;
transition: transform 0.2s ease;
}
    margin: 0px !important;
 
     opacity: 0.85;
/*.home-card:hover .home-card__background img {
transform: scale( 1.1 );
}*/
 
.home-card--button:hover {
     transform: scale( 1.05 );
}
}


Line 238: Line 358:
.home-card.home-card--button {
.home-card.home-card--button {
overflow: hidden;
overflow: hidden;
        padding: 20px;
    padding: 5px 5px 10px 5px;
        height: 128px;
    height: 100px;
}
}


Line 275: Line 395:
border-color: var( --border-color-base );
border-color: var( --border-color-base );
background: var( --background-color-framed );
background: var( --background-color-framed );
border-radius: 12px;
border-radius: 4px;
color: var( --color-base--emphasized );
color: var( --color-emphasized );
}
}


Line 297: Line 417:


.home-stats__value {
.home-stats__value {
font-size: 1.5rem;
font-size: 1.0rem;
font-weight: 600;
font-weight: 600;
}
}
Line 303: Line 423:
.home-stats__unit {
.home-stats__unit {
margin-top: 0.2rem;
margin-top: 0.2rem;
color: var( --color-base--subtle );
color: var( --color-subtle );
font-size: 0.8125rem;
font-size: 0.8125rem;
}
}
Line 309: Line 429:
#home-card-discord {
#home-card-discord {
background: #5865f2;
background: #5865f2;
        border-radius: var(--border-radius-medium);
}
}


Line 339: Line 460:
.home-footer {
.home-footer {
font-size: 0.8125rem;
font-size: 0.8125rem;
font-family: monospace;
font-family: inherit;
text-align: center;
text-align: center;
}
}
Line 346: Line 467:
     margin-top: 5px;
     margin-top: 5px;
}
}
/*.home-header {
margin-top: 2rem;
margin-bottom: 2rem;
padding-top: 1rem;
}*/


.home-header__title {
.home-header__title {
Line 360: Line 475:
.home-header .home-header__subtitle {
.home-header .home-header__subtitle {
margin-top: 0.4rem;
margin-top: 0.4rem;
color: var( --color-base--subtle );
color: var( --color-subtle );
font-size: 0.875rem;
font-size: 0.875rem;
}
}
Line 368: Line 483:
padding: 0.6rem 0.8rem;
padding: 0.6rem 0.8rem;
margin: 0.8rem auto 0 auto;
margin: 0.8rem auto 0 auto;
background: var( --color-surface-1 );
background: none;
border-radius: 100px;
border-radius: none;
box-shadow: var( --box-shadow-card );
box-shadow: none;
color: var( --color-base--subtle );
color: none;
font-size: 0.875rem;
font-size: 0.875rem;
        text-align: center;
}
}


Line 387: Line 503:
}
}


/*
html.skin-citizen-dark .home-header__searchIcon img {
html.skin-citizen-dark .home-header__searchIcon img {
filter: invert( 1 );
filter: invert( 1 );
}
}
*/


@media ( min-width: 682px ) {
@media ( min-width: 682px ) {
Line 403: Line 522:
}
}


/* Cargo Table Css*/
 
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
/* the */
  background-color: transparent;
.tabber__tab {
    padding: 0.5em 0.55em;
    font-weight: 400;
}
}


table.dataTable.display tbody tr.odd > .sorting_1, table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
.tabber__panel {
background-color: transparent;
    padding-top: 5px;
}
}


table.dataTable.display tbody tr.even > .sorting_1, table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
.tabber__header {
background-color: transparent;
    box-shadow: inset 0 -1px 0 0 #a2a9b163;
}
}


table.dataTable tbody tr {
/* youtube */
     background-color: transparent;
@media screen and (max-width: 750px) {
     iframe {
        max-width: 100%;
    }
}
}


tr.even:hover, tr.odd:hover {
/* temp */
     background-color:var(--background-color-quiet--hover) !important;
.page-actions > .mw-portlet li > a {
     border-radius: var(--border-radius-medium);
}
}


table.dataTable, table.dataTable th, table.dataTable td {
.citizen-client-prefs-radio__label {
     text-align: center;
     border-radius: var(--border-radius-medium);
}
}


.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate {
.citizen-keyboard-hint-key {
    color: var(--color-base--subtle);
     display: none;
     font-weight: 500;
}
}


Line 445: Line 569:
/*Main*/
/*Main*/
.heading-main1{
.heading-main1{
  border: 1px solid;
  border: none;
  border-color: var( --border-color-base );
background-image: repeating-linear-gradient(260deg,#7a00d385 0%,#8700ed8c 20%,#6516e199 30%,#199cdda3 80%,#006ed782 100%);
background: var( --background-color-framed );
border-radius: var(--border-radius-medium);
border-radius: 12px;
padding: 5px;
color: var( --color-base--emphasized );
font-weight:600;
text-align: center;
color: aliceblue;
}
 
 
/*link text*/
a {
    color: var(--color-link);
}
 
/* emu */
.ejs_start_button {
  text-transform: none !important;
}
 
/*hide heading ^*/
.citizen-sections-enabled .citizen-section-indicator {
    display: none;
}
 
 
/*wikitable fix*/
tr:hover {
    background-color:var(--background-color-button-quiet--hover);
}
 
table.wikitable tr th {
    background-color: var(--color-surface-2--active);
    text-align: center;
    vertical-align: middle;
}
 
table.wikitable tr th, table.wikitable tr td {
    padding: 5px 10px 5px 10px;
    border: 1px solid var(--border-color-base);
}
 
table.wikitable {
    max-width: -webkit-fill-available;
 
}
 
/*apptable*/
table.apptable tr th, table.apptable tr td {
border: 1px solid var(--border-color-base);
padding: 2px 4px;
}
 
table.apptable tr th {
background-color: rgb(207 221 236 / 10%);
}
 
.wikitable th {
    font-weight: var(--font-weight-medium);
}
 
 
/*Ads*/
div#mw-content-text-auto-1, #mw-content-text-auto-2, #mw-content-text-auto-3, #mw-content-text-auto-4, #mw-content-text-auto-5, #mw-content-text-auto-6, #mw-content-text-auto-7, #mw-content-text-auto-8, #mw-content-text-auto-9, #mw-content-text-auto-10, #mw-content-text-auto-11, #mw-content-text-auto-12, #mw-content-text-auto-13, #mw-content-text-auto-14, #mw-content-text-auto-15, #mw-content-text-auto-16, #mw-content-text-auto-17, #mw-content-text-auto-18, #mw-content-text-auto-19, #mw-content-text-auto-20 {
    width: 337px;
}
 
/*div#anchorTop-DesktopIpad {
    width: 900px !important;
    right: 500px;
    background-color: transparent !important;
}
 
header.mw-body-header {
    height: auto;
}*/
 
div#anchorBottom {
    background-color: transparent !important;
}
 
div#stickyTopBanner {
    left: 50%;
    position: fixed !important;
    top: 5%;
    z-index: 9999;
    transform: translate(-50%, -50%);
}
 
/*Heading Fix*/
h2.citizen-section-heading {
/*    display: block !important; */
    border-bottom: 1px solid #9f9f9f3d;
}
 
 
@media (min-width:801px) { /* tablet, landscape iPad, lo-res laptops ands desktops */
 
/*anchorbottom*/
#anchorBottom {
    z-index: 0 !important;
}
 
/*Read More or Related Articles*/
 
.read-more-container {
    padding-inline: 0 !important;
}
 
/*footer...*/
.citizen-footer__container {
    max-width: var(--width-layout);
    margin-right: auto !important;
    margin-left: auto !important;
}
 
.citizen-footer {
    padding: 0 !important;
}
 
.citizen-footer img.mw-logo-icon {
    display: none;
}
 
/*footer & ads*/
.citizen-footer, #siteNotice, #anchorTop-DesktopIpad {
    padding-right: var(--width-toc);
}
 
 
/*.citizen-body-header--sticky .mw-body-header {
    height: 60px;
}*/
 
/*Remove sticking heading
.citizen-body-header--sticky .firstHeading {
display: none;
}
 
.firstHeading-container {
    display: unset;
}*/
}/* End here*/
 
/*Mobile*/
@media screen and (max-device-width: 480px) and (orientation: portrait){
  div#mw-category-media > ul {
    margin: 0 !important;
    padding: none;
    text-align: center;
}
 
.citizen-body-header--sticky .mw-body-header {
    position: relative !important;
}
 
#sidebar-sticky {
display:none;
}
 
table.infobox {
width: 100%;
max-width: 400px;
}
 
.citizen-search-box.citizen-search__card.citizen-menu-checkbox-target {
top:60px;
}
 
}
 
@media screen and (min-width: 1300px) {
.toc {
  margin: 15px 0px;
}
 
}
 
/*bigger logo*/
@media screen and (min-width: 720px) {
.citizen-drawer__logo img {
    height: 7rem;
}
}
 
.citizen-drawer__logo img {
    height: 5rem;
    padding-right: 5px;
}
 
 
/* left side bar */
@media screen and (min-width: 1000px) {
.citizen-header {
    background-color: #ffffff00;
    border-right: none;
    padding: var(--space-xl);
}
 
#siteNotice, .mw-body, .parsoid-body, .citizen-footer, #mw-data-after-content {
    margin-left: calc(0.0 * var(--space-unit));
    margin-right: calc(10.0 * var(--space-unit));
    background: none;
}
 
div#siteNotice {
    margin-left: 200px;
}
 
/*.citizen-header__button {
    height: auto;
}
 
html {
--header-size: 160px;
}
 
#citizen-pref-toggle:after, #citizen-personalMenu__buttonCheckbox:after, .citizen-header__buttonIcon, .citizen-header__button--icon:after {
width: 20px;
height: 50px;
}*/
 
/*Remove all article ads on desktop*/
#mw-content-text-autowrap-1, #mw-content-text-autowrap-2, #mw-content-text-autowrap-3, #mw-content-text-autowrap-4, #mw-content-text-autowrap-5, #mw-content-text-autowrap-6, #mw-content-text-autowrap-7, #mw-content-text-autowrap-8, #mw-content-text-autowrap-9, #mw-content-text-autowrap-10, #mw-content-text-autowrap-11, #mw-content-text-autowrap-12, #mw-content-text-autowrap-13, #mw-content-text-autowrap-14, #mw-content-text-autowrap-15, #mw-content-text-autowrap-16, #mw-content-text-autowrap-17, #mw-content-text-autowrap-18, #mw-content-text-autowrap-19, #mw-content-text-autowrap-20 {
    display: none;
}
 
}
 
 
/* obsolete box */
table.metadata.plainlinks.ambox.ambox-content {
    background: var(--color-surface-2);
    border: 1px solid var(--color-surface-3);
    color: var(--color-subtle);
    margin-bottom: var(--space-xs);
}
 
/* Warning box */
table.plainlinks.ombox.ombox-notice {
    border: 1px solid var(--color-surface-3);
    background: var(--color-surface-2);
    color: var(--color-subtle);
    margin-bottom: var(--space-xs);
}
 
div#small-banner-top {
    padding-left: 20px;
}
 
/* fix for update 2022 Dec */
.wikiEditor-ui .wikiEditor-ui-top:before {
    background-color: transparent;
}
 
.citizen-header__logo {
    display: none;
    border-bottom: none;
}
 
.citizen-body-header--sticky .mw-body-header:before {
    background-color: var(--color-surface-0);
}
 
h1, h2 {
    margin-top: 1.50rem;
    font-weight: 600;
}
 
th.infobox-title {
    font-size: 1.3rem;
    font-weight: var(--font-weight-bold);
}
 
pre, code, .mw-code {
    overflow-wrap: break-word;
    border-radius: var(--border-radius-medium);
}
 
pre, .mw-code {
    line-height: 1.0;
}
/*
code {
    padding: 1px 4px;
}
*/
/*Video stick to the bottom screen*/
#video-nc-wrap > div[style] {
    bottom: 0px !important;
}
 
/*toc icon box 1360*/
 
.citizen-body-container {
    padding: var(--space-sm);
}
 
@media screen and (min-width: 1000px) {
.citizen-page-container {
    margin-left: 190px;
}
 
.citizen-body-header--sticky, .citizen-toc__card {
 
}
 
 
/*Video*/
#outstream-video {
left: 0px !important;
}
 
.na-float-closer {
    right: 5px !important;
}
 
}
 
 
@media screen and (max-width: 999px) {
.citizen-toc {
    bottom: 28%;
}
.citizen-toc__card {
    max-height: calc(var(--header-card-maxheight) - 8rem);
}
}
 
 
/* message image */
td.mbox-image {
    width: 50px;
}
 
/*Amazon*/
span.amzn-native-header-text {
display: block !important;
margin: 0;
margin-top: 0.80em !important;
margin-bottom: 0.25em;
color: var(--color-emphasized);
font-weight: var(--font-weight-semibold);
line-height: var(--line-height-xs);
font-size: var(--font-size-h2) !important;
border-bottom: 1px solid #9f9f9f3d !important;
font-family: var(--font-family-base) !important;
}
 
/*Ads-InfoboxTop*/
#Ads-InfoboxTop {
float: right;
padding-left: 5px;
padding-right: 10px;
}
 
div#sidebar-sticky {
    top: 30px;
    position: relative;
}
 
/*Video Ads CSS*/
.Videoplayer {
    position: fixed;
    bottom: 10px;  /* Adjust as needed */
    right: 10px;  /* Adjust as needed */
    z-index: 1000; /* Ensure it stays on top */
}
 
#Videoplayer {
    height: auto !important;
}
 
.citizen-sitenotice-container {
  margin: 0 auto;
}
}

Latest revision as of 03:19, 4 May 2026

/* All CSS here will be loaded for users of the Citizen skin */

/*Hide Color This*/
.citizen-sitenotice-container {
    background-color: var(--color-surface-0) !important;
}
.citizen-page-header {
    padding-inline: 11px !important;
}

/*Fonts*/
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap');

body,
html,
.citizen,
.citizen-content {
  font-family: 'Source Sans Pro', sans-serif;
}

/*Main Section*/
h1.home-header__title, p.home-header__subtitle {
    text-align: center;
    font-size: 2.00rem;
}

td#home-card-discord > a{
    color: #fff;
}

.citizen-body img {
    max-width: 100%;
    height: auto;
    margin-bottom: 3px;
}

/*    margin: 3px;*/

.not-available {
    filter: opacity(0.4);
}

#siteSub {
display: none;
}


/* Menu */
.mw-portlet-External {
	margin-top: var( --space-md );
    padding-top: var( --space-sm );
	border-top: 1px solid var( --border-color-base );
	font-size: 0.8125rem;
	grid-column: 1 / -1;
	white-space: nowrap;
}

.mw-portlet-External .citizen-menu__heading {
	display: none;
}

.mw-portlet-External ul {
	display: flex;
	overflow: auto;
}

.mw-portlet-External .mw-list-item a {
	gap: 0;
}

:root {
    --width-layout: 1320px;
    --line-height: 1.6;
    --color-progressive-oklch__l: 57%;
    --color-progressive-oklch__c: 0.1679;
    --color-progressive-oklch__h: 230.29;
    --color-surface-0-oklch__l: 97%;
    --color-surface-0-oklch__c: 0.005;
    --color-emphasized-oklch__l: 36%;
    --color-base-oklch__l: 36%;
    --border-radius-base: 2px;
}
/*
    font-size: 14px;
    --border-radius--small: 2px;
    --border-radius--medium: 4px;
    --border-radius--large: 8px;
    --color-primary__h: 205;
    --color-primary__s: 60%;
    --color-primary__l: 50%;
    --color-base: hsl(var(--color-primary__h),30%,35%);
    --color-emphasized: hsl(var(--color-primary__h),85%,10%,80%);
*/


:root.citizen-feature-custom-width-clientpref-standard {
    --width-layout: 1200px;
}


/* Infobox section */
@media screen and (max-width: 720px) {
table.infobox {
    display: inline-table !important;
    }
}

.citizen-body ul {
    margin: 0.5rem 0 0.5rem 1.5rem;
}

table.infobox {
    margin-left: 1.4rem;
    clear: right;
    float: right;
    z-index: 3!important;
    overflow: hidden;
    width: 320px;
    max-width: 100%;
    margin-bottom: 1.6rem;
    border-spacing: 3px;
    padding-bottom: 20px!important;
    box-shadow: 0 6px 6px 1px rgba(0, 0, 0, 0.04), 0 12px 14px 8px rgba(0, 0, 0, 0.0575);
    font-size: 0.825rem;
    border-radius: var(--border-radius-large);
}
/*    padding: 5px;*/

th.infobox-title{
    padding-top: 10px;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 5px;
    color: var(--color-emphasized);
    font-size: 1.4rem;
    line-height: 1.4;
}

th.infobox-header{
width: 100%;
    border-top: 1px solid;
    border-color: var(--border-color-base);
    margin-top: 15px;
    color: var(--color-emphasized);
    font-size: 1rem;
}

table.infobox>tbody {
    text-align: center;
}

th.infobox-label {
    width: 40%;
    text-align: left;
    padding: 0px 12px 0px 12px;
}

td.infobox-data {
    text-align: left;    
}

/* LinkBar CSS */
.hbmenu {
    list-style: none;
    text-align: center;
    margin: auto !important;
}

.hbmenu > li {
    display: inline-flex;
    text-align: center;
    background: #338CCC;
    padding: 5px 10px 5px 10px;
    margin-right: 0px;
    margin-bottom: 5px;
    border-radius: 0 4px 4px 0;
    box-shadow: none;
    font-weight: 300;
    border-radius: var(--border-radius-medium);
}
.hbmenu > li:hover {
    background: #338CCC;
    text-decoration: none;
}
         
.hbmenu > li > a {
    color: aliceblue !important;
}

/*toc bar*/
table#toc2 {
    width: auto;
    margin-left: auto;
    color: transparent;
    background: hsl(214deg 45.83% 28.18% / 47%);
    border-radius: var(--border-radius-medium);
    text-align: center;
    margin-bottom: 5px;
    margin-top: 10px;
    padding: 0 5px 0 5px;
}

table#toc2 a {
    color: aliceblue;
    font-size: smaller;
    font-weight: 300;
}

/* Main Page Browser Homebrews Section*/
ul.small-block-grid-2.large-block-grid-4 {
    display: inline-flex;
    list-style: none;
}


/* Home Grid Section*/
.home-grid {
	display: grid;
	grid: auto-flow dense/repeat( auto-fit, minmax( 8rem, 1fr ) );
	/*grid-auto-rows: minmax( 3rem, auto );*/
	grid-gap: 0.513rem;
}

.home-grid--col2 {
	grid-template-columns: 1fr 1fr;
}

.home-grid a.external {
	background-image: none;
}

.home-card {
	position: relative;
	padding: 3px;
    box-shadow: none;
	font-size: 0.875rem;
	border-radius: 4px;
}


/*box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );*/

.home-card table.timeline {
	margin-top: 0.2rem;
}

.home-card--col2 {
	grid-column: span 2;
}

.home-card--row3 {
	grid-row: span 3;
}

.home-card--row4 {
	grid-row: span 4;
}

.home-card--row8 {
	grid-row: span 8 / auto;
}

.home-card__label {
	color: var(--color-subtle);
	font-size: 0.8125rem;
	letter-spacing: 0.75px;
    text-align: center;
    font-weight: 600;
}

h3.home-card__header {
	margin-top: 0;
	font-size: 1rem;
}

.home-card__header a {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.home-card__header a:after {
	content: '▶';
	font-size: 0.8125rem;
}

.home-card__background {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
/*	border-radius: 4px;*/

.home-card__background1 {
background: rgb(159 157 213);
opacity: 0.91;
}

.home-card__background2 {
background: rgb(155 202 225);
opacity: 0.91;
}

.home-card__background3 {
background: rgb(235 189 195);
opacity: 0.91;
}

.home-card__background4 {
background: rgb(153 201 152);
opacity: 0.91;
}

.home-card__background5 {
background: rgb(119 177 221);
opacity: 0.91;
}

.home-card__background6 {
background: rgb(98 157 161);
opacity: 0.91;
}

.home-card__background7 {
background: rgb(182 174 192);
opacity: 0.91;
}

.home-card__background img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	object-position: center;
	transition: transform 0.2s ease;
    margin: 0px !important;
    opacity: 0.85;
}

.home-card__foreground {
	position: absolute;
}

.home-card__foreground .home-card__label {
	color: #bababa;
}

.home-card__foreground .home-card__header {
	color: #fff;
}

.home-card p {
	margin-top: 0.2rem;
	font-size: 0.875rem;
}

.home-card.home-card--button {
	overflow: hidden;
    padding: 5px 5px 10px 5px;
    height: 100px;
}

.home-card--button a {
	display: flex;
	height: 100%;
	align-items: center;
	padding: 0 15px;
	background: transparent;
	color: #fff;
	font-weight: 500;
}

.home-card--button .home-card__background a {
	padding: 0;
}

.home-link {
	display: grid;
	margin-top: 6px;
	font-size: 0.875rem;
	font-weight: 500;
	grid-gap: 6px;
	text-align: center;
}

.home-link__button {
	display: flex;
}

.home-link__button a {
	flex-grow: 1;
	padding: 0.3rem 0.6rem;
	border: 1px solid;
	border-color: var( --border-color-base );
	background: var( --background-color-framed );
	border-radius: 4px;
	color: var( --color-emphasized );
}

.home-link__button a:hover {
	background: var( --background-color-framed--hover );
}

.home-link__button a:active {
	background: var( --background-color-framed--active );
}

#home-content {
	margin-top: 1.6rem;
}

.home-stats {
	flex-grow: 1;
	line-height: 1;
}

.home-stats__value {
	font-size: 1.0rem;
	font-weight: 600;
}

.home-stats__unit {
	margin-top: 0.2rem;
	color: var( --color-subtle );
	font-size: 0.8125rem;
}

#home-card-discord {
	background: #5865f2;
        border-radius: var(--border-radius-medium);
}

#home-card-patreon {
	background: #ff424d;
}

#home-card-reddit {
	background: #ff4500;
}

#home-card-discord a,
#home-card-patreon a,
#home-card-reddit a {
	justify-content: center;
}

#home-card-discord img,
#home-card-patreon img,
#home-card-reddit img {
	transition: transform 0.2s ease;
}

#home-card-discord:hover img,
#home-card-patreon:hover img,
#home-card-reddit:hover img {
	transform: scale( 1.1 );
}

.home-footer {
	font-size: 0.8125rem;
	font-family: inherit;
	text-align: center;
}

#home-card-editor {
    margin-top: 5px;
}

.home-header__title {
	margin-top: 0;
	font-size: 1.5rem;
}

.home-header .home-header__subtitle {
	margin-top: 0.4rem;
	color: var( --color-subtle );
	font-size: 0.875rem;
}

.home-header__search {
	max-width: 600px;
	padding: 0.6rem 0.8rem;
	margin: 0.8rem auto 0 auto;
	background: none;
	border-radius: none;
	box-shadow: none;
	color: none;
	font-size: 0.875rem;
        text-align: center;
}

.home-header__searchIcon img {
	margin-right: 0.5rem;
    opacity: var( --opacity-icon-base );
}

.keyboard-text {
	padding: 0 5px;
	border: 1px solid;
	margin: 0 2px;
	border-radius: 4px;
}

/*
html.skin-citizen-dark .home-header__searchIcon img {
	filter: invert( 1 );
}

*/

@media ( min-width: 682px ) {
	.home-header {
		text-align: center;
	}
}

@media ( hover: none ) {
	.desktoponly {
		display: none;
	}
}


/* the */
.tabber__tab {
    padding: 0.5em 0.55em;
    font-weight: 400;
}

.tabber__panel {
    padding-top: 5px;
}

.tabber__header {
    box-shadow: inset 0 -1px 0 0 #a2a9b163;
}

/* youtube */
@media screen and (max-width: 750px) {
    iframe {
        max-width: 100%;
    }
}

/* temp */
.page-actions > .mw-portlet li > a {
    border-radius: var(--border-radius-medium);
}

.citizen-client-prefs-radio__label {
    border-radius: var(--border-radius-medium);
}

.citizen-keyboard-hint-key {
    display: none;
}

/*Footer*/

#footer-sitetitle {
   margin: none !important;
}

#footer-bottom {
   margin-top: none !important;
}

/*Main*/
.heading-main1{
 border: none;
 background-image: repeating-linear-gradient(260deg,#7a00d385 0%,#8700ed8c 20%,#6516e199 30%,#199cdda3 80%,#006ed782 100%);
 border-radius: var(--border-radius-medium);
 padding: 5px;
 font-weight:600;
 text-align: center;
 color: aliceblue;
}


/*link text*/
a {
    color: var(--color-link);
}

/* emu */
.ejs_start_button {
   text-transform: none !important;
}

/*hide heading ^*/
.citizen-sections-enabled .citizen-section-indicator {
    display: none;
}


/*wikitable fix*/
tr:hover {
    background-color:var(--background-color-button-quiet--hover);
}

table.wikitable tr th {
    background-color: var(--color-surface-2--active);
    text-align: center;
    vertical-align: middle;
}

table.wikitable tr th, table.wikitable tr td {
    padding: 5px 10px 5px 10px;
    border: 1px solid var(--border-color-base);
}

table.wikitable {
    max-width: -webkit-fill-available;

}

/*apptable*/
table.apptable tr th, table.apptable tr td {
border: 1px solid var(--border-color-base);
padding: 2px 4px;
}

table.apptable tr th {
background-color: rgb(207 221 236 / 10%);
}

.wikitable th {
    font-weight: var(--font-weight-medium);
}


/*Ads*/
div#mw-content-text-auto-1, #mw-content-text-auto-2, #mw-content-text-auto-3, #mw-content-text-auto-4, #mw-content-text-auto-5, #mw-content-text-auto-6, #mw-content-text-auto-7, #mw-content-text-auto-8, #mw-content-text-auto-9, #mw-content-text-auto-10, #mw-content-text-auto-11, #mw-content-text-auto-12, #mw-content-text-auto-13, #mw-content-text-auto-14, #mw-content-text-auto-15, #mw-content-text-auto-16, #mw-content-text-auto-17, #mw-content-text-auto-18, #mw-content-text-auto-19, #mw-content-text-auto-20 {
    width: 337px;
}

/*div#anchorTop-DesktopIpad {
    width: 900px !important;
    right: 500px;
    background-color: transparent !important;
}

header.mw-body-header {
    height: auto;
}*/

div#anchorBottom {
    background-color: transparent !important;
}

div#stickyTopBanner {
    left: 50%;
    position: fixed !important;
    top: 5%;
    z-index: 9999;
    transform: translate(-50%, -50%);
}

/*Heading Fix*/
h2.citizen-section-heading {
/*    display: block !important; */
    border-bottom: 1px solid #9f9f9f3d;
}


@media (min-width:801px)  { /* tablet, landscape iPad, lo-res laptops ands desktops */ 

/*anchorbottom*/
#anchorBottom {
    z-index: 0 !important;
}

/*Read More or Related Articles*/

.read-more-container {
    padding-inline: 0 !important;
}

/*footer...*/
.citizen-footer__container {
    max-width: var(--width-layout);
    margin-right: auto !important;
    margin-left: auto !important;
}

.citizen-footer {
    padding: 0 !important;
}

.citizen-footer img.mw-logo-icon {
    display: none;
}

/*footer & ads*/
.citizen-footer, #siteNotice, #anchorTop-DesktopIpad {
    padding-right: var(--width-toc);
}


/*.citizen-body-header--sticky .mw-body-header {
    height: 60px;
}*/

/*Remove sticking heading
.citizen-body-header--sticky .firstHeading {
display: none;
}

.firstHeading-container {
    display: unset;
}*/
 
}/* End here*/

/*Mobile*/
@media screen and (max-device-width: 480px) and (orientation: portrait){
  div#mw-category-media > ul {
    margin: 0 !important;
    padding: none;
    text-align: center;
}

.citizen-body-header--sticky .mw-body-header {
    position: relative !important;
}

#sidebar-sticky {
display:none;
}

table.infobox {
width: 100%;
max-width: 400px;
}

.citizen-search-box.citizen-search__card.citizen-menu-checkbox-target {
top:60px;
}

}

@media screen and (min-width: 1300px) {
.toc {
   margin: 15px 0px;
}

}

/*bigger logo*/
@media screen and (min-width: 720px) {
 .citizen-drawer__logo img {
    height: 7rem;
}
}

.citizen-drawer__logo img {
    height: 5rem;
    padding-right: 5px;
}


/* left side bar */
@media screen and (min-width: 1000px) {
.citizen-header {
    background-color: #ffffff00;
    border-right: none;
    padding: var(--space-xl);
}

#siteNotice, .mw-body, .parsoid-body, .citizen-footer, #mw-data-after-content {
    margin-left: calc(0.0 * var(--space-unit));
    margin-right: calc(10.0 * var(--space-unit));
    background: none;
}

div#siteNotice {
    margin-left: 200px;
}

/*.citizen-header__button {
    height: auto;
}

html {
--header-size: 160px;
}

#citizen-pref-toggle:after, #citizen-personalMenu__buttonCheckbox:after, .citizen-header__buttonIcon, .citizen-header__button--icon:after {
width: 20px;
height: 50px;
}*/

/*Remove all article ads on desktop*/
#mw-content-text-autowrap-1, #mw-content-text-autowrap-2, #mw-content-text-autowrap-3, #mw-content-text-autowrap-4, #mw-content-text-autowrap-5, #mw-content-text-autowrap-6, #mw-content-text-autowrap-7, #mw-content-text-autowrap-8, #mw-content-text-autowrap-9, #mw-content-text-autowrap-10, #mw-content-text-autowrap-11, #mw-content-text-autowrap-12, #mw-content-text-autowrap-13, #mw-content-text-autowrap-14, #mw-content-text-autowrap-15, #mw-content-text-autowrap-16, #mw-content-text-autowrap-17, #mw-content-text-autowrap-18, #mw-content-text-autowrap-19, #mw-content-text-autowrap-20 {
    display: none;
}

}


/* obsolete box */
table.metadata.plainlinks.ambox.ambox-content {
    background: var(--color-surface-2);
    border: 1px solid var(--color-surface-3);
    color: var(--color-subtle);
    margin-bottom: var(--space-xs);
}

/* Warning box */
table.plainlinks.ombox.ombox-notice {
    border: 1px solid var(--color-surface-3);
    background: var(--color-surface-2);
    color: var(--color-subtle);
    margin-bottom: var(--space-xs);
}

div#small-banner-top {
    padding-left: 20px;
}

/* fix for update 2022 Dec */
.wikiEditor-ui .wikiEditor-ui-top:before {
    background-color: transparent;
}

.citizen-header__logo {
    display: none;
    border-bottom: none;
}

.citizen-body-header--sticky .mw-body-header:before {
    background-color: var(--color-surface-0);
}

h1, h2 {
    margin-top: 1.50rem;
    font-weight: 600;
}

th.infobox-title {
    font-size: 1.3rem;
    font-weight: var(--font-weight-bold);
}

pre, code, .mw-code {
    overflow-wrap: break-word;
    border-radius: var(--border-radius-medium);
}

pre, .mw-code {
    line-height: 1.0;
}
/*
code {
    padding: 1px 4px;
}
*/
/*Video stick to the bottom screen*/
#video-nc-wrap > div[style] {
    bottom: 0px !important;
}

/*toc icon box 1360*/

.citizen-body-container {
    padding: var(--space-sm);
}

@media screen and (min-width: 1000px) {
.citizen-page-container {
    margin-left: 190px;
}

.citizen-body-header--sticky, .citizen-toc__card {
   
}


/*Video*/
#outstream-video {
left: 0px !important;
}

.na-float-closer {
    right: 5px !important;
}

}


@media screen and (max-width: 999px) {
.citizen-toc {
    bottom: 28%;
}
.citizen-toc__card {
    max-height: calc(var(--header-card-maxheight) - 8rem);
}
}


/* message image */
td.mbox-image {
    width: 50px;
}

/*Amazon*/
span.amzn-native-header-text {
display: block !important;
margin: 0;
margin-top: 0.80em !important;
margin-bottom: 0.25em;
color: var(--color-emphasized);
font-weight: var(--font-weight-semibold);
line-height: var(--line-height-xs);
font-size: var(--font-size-h2) !important;
border-bottom: 1px solid #9f9f9f3d !important;
font-family: var(--font-family-base) !important;
}

/*Ads-InfoboxTop*/
#Ads-InfoboxTop {
float: right;
padding-left: 5px;
padding-right: 10px;
}

div#sidebar-sticky {
    top: 30px;
    position: relative;
}

/*Video Ads CSS*/
.Videoplayer {
    position: fixed;
    bottom: 10px;  /* Adjust as needed */
    right: 10px;   /* Adjust as needed */
    z-index: 1000; /* Ensure it stays on top */
}

#Videoplayer {
    height: auto !important;
}

.citizen-sitenotice-container {
   margin: 0 auto;
}

Advertising: